BITMAP_PRINT_TO_PAGE(9)

NAME
bitmap_print_to_pagebuf - convert bitmap to list or hex format ASCII string

SYNOPSIS

int bitmap_print_to_pagebuf(bool list, char * buf, const unsigned long * maskp, int nmaskbits);

ARGUMENTS

list
    indicates whether the bitmap must be list

buf
    page aligned buffer into which string is placed

maskp
    pointer to bitmap to convert

nmaskbits
    size of bitmap, in bits

DESCRIPTION

Output format is a comma-separated list of decimal numbers and ranges if list is specified or hex digits grouped into comma-separated sets of 8 digits/set. Returns the number of characters written to buf.

COPYRIGHT